type DateFormat = {
    /**
     * @returns 2024/02/27 20:28:49
     */
    YYYY_MM_dd_HH_MM_ss: string;
    /**
     * @returns 2024/02/27 20:28
     */
    YYYY_MM_dd_HH_MM: string;
    /**
     * @returns 20:29:59
     */
    HH_MM_ss: string;
    /**
     * @returns 20:29
     */
    HH_MM: string;
    /**
     * @returns 2024/02/27
     */
    YYYY_MM_dd: string;
    /**
     * @returns 27 February 2024
     */
    YYYY_M_dd: string;
    /**
     * @returns February 2024
     */
    YYYY_M: string;
    /**
     * @returns Tuesday 27 February 2024
     */
    W_YYYY_M_dd: string;
    /**
     * @returns Tuesday 27 February 2024 20:20
     */
    W_YYYY_M_dd_HH_MM: string;
    /**
     * @returns Tuesday 27 February
     */
    W_dd_M: string;
    /**
     * @returns February - 10/03
     */
    W_dd_MM: string;
    /**
     * @returns 27 February
     */
    dd_M: string;
    /**
     * @returns Year
     */
    YYYY: string;
    /**
     * @returns Month Number two digit
     */
    MM: number;
    /**
     * @returns Month name
     */
    M: string;
    /**
     * @returns day of month
     */
    d: number;
    /**
     * @returns Week name
     */
    W: string;
    /**
     * @returns Weekday number
     */
    WW: string;
    /**
     * @returns Unix
     */
    Unix: number;
};
declare function format(locale: string, value: string | Date, separator?: string): DateFormat;
declare function convert(locale: string, value: string | Date, separator?: string): DateFormat;
declare function addDays(locale: string, value: string, days: number, separator?: string): DateFormat;
declare function DaysInMonth(locale: string, year: number, month: number): number;
declare function datoToNumber(date: Date | string): number;
declare function toEnglishNumber(value: string): string;
declare function toElapsedTime(value: string): string;
declare const sdate: {
    format: typeof format;
    convert: typeof convert;
    addDays: typeof addDays;
    DaysInMonth: typeof DaysInMonth;
    datoToNumber: typeof datoToNumber;
    toEnglishNumber: typeof toEnglishNumber;
    toElapsedTime: typeof toElapsedTime;
};
export default sdate;
